{
    num: 169,
    accuracy: true,
    basePower: 0,
    category: "Status",
    isNonstandard: "Past",
    name: "Spider Web",
    pp: 10,
    priority: 0,
    flags: {protect: 1, reflectable: 1, mirror: 1, metronome: 1},
    volatileStatus: 'spiderweb',
    onHit(target, source, move) {
        return target.addVolatile('trapped', source, move, 'trapper');
    },
    condition: {
        onStart(pokemon) {
            if (!pokemon.hasType("Ghost")) {
                this.add('-start', pokemon, 'Spider Web');
            }
        },
        onModifySpe(spe, pokemon) {
            if (pokemon.volatiles['trapped']) {
                return this.chainModify(0.5);
            }
            return spe;
        },
        onUpdate(pokemon) {
            if (!pokemon.volatiles['trapped']) {
                pokemon.removeVolatile('spiderweb');
            }
        },
        onEnd(pokemon) {
            this.add('-end', pokemon, 'Spider Web');
        }
    },
    secondary: null,
    target: "normal",
    type: "Bug",
    zMove: {boost: {def: 1}},
    contestType: "Clever",
}
